Loading...
Searching...
No Matches
bson Struct Reference

An opaque BSON object. More...

`#include <libmongo-private.h>`

## Data Fields

GByteArray * | data
| The actual data of the BSON object.
gboolean | finished
| Flag to indicate whether the object is open or finished.

## Detailed Description

An opaque BSON object.

BSON structure.

A BSON object represents a full BSON document, as specified at http://bsonspec.org/.

Each object has two states: open and finished. While the document is open, it can be appended to, but it cannot be read from. While it is finished, it can be read from, and iterated over, but cannot be appended to.